<template>
  <ObForm :form-data="formData" :form-model="formModel" @submit="onSubmitHandler">
    <div class="row">
			<div class="col-xs-12">
				<ob-input
					label="Наименование типа груза"
					v-model="formData.title"
					property="cargo_value"
					readonly
				></ob-input>
			</div>
    </div>
    <div class="row">
			<div class="col-xs-12">
				<ob-input
					label="Средняя стоимость фуры, ₽ без НДС"
					v-model.number="formData.ftlAvgPrice"
				></ob-input>
			</div>
    </div>
    <div class="row-title">Риск утраты груза</div>
		<div class="row">
			<div class="col-xs-12">
        <ob-radio
          label="<i class='icon alert'></i>Высокий риск"
          valueInput="HIGH"
          v-model="formData.probabilityLevel"
        />
        <ob-radio
          label="Средний риск"
          valueInput="MEDIUM"
          v-model="formData.probabilityLevel"
        />
        <ob-radio
          label="Низкий риск"
          valueInput="LOW"
          v-model="formData.probabilityLevel"
        />
			</div>
		</div>
  </ObForm>
</template>

<script>
	import FormValidationMixin from "common-components/src/obComponents/obForm/FormValidationMixin";
	import ObInput from "common-components/src/obComponents/obInput";
	import ObForm from "common-components/src/obComponents/obForm";
	import models from '../../../models'
  import ObRadio from "common-components/src/obComponents/obRadio";

	export default {
		name: "RequisitePopup",
		components: { ObForm, ObInput, ObRadio },
		mixins: [
			FormValidationMixin
		],
		props: {},
		computed: {
			formModel () {
				return models.risksModel
			}
		},
		data() {
			return {

			}
		},
		methods: {
			onSubmitHandler(data) {
				this.$emit('changed', data)
				this.$emit('close')
			}
		}
	}
</script>

<style lang="scss" scoped>
  .row-title {
    font-weight: bold;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0.4px;
    color: #000000;
    margin-top: 30px;
  }

  ::v-deep {
    .ob-radio-container {
      margin-bottom: 14px;

      &:last-child {
        margin-bottom: 0px;
      }
    }

    i.alert {
      position: relative;
      top: 2px;
    }
  }
</style>
